#ifndef CLED_H
#define CLED_H
#define byte uint8_t
#include "Sensor.h"

// *************************** CLED ********************************
class CLED {
  public:
    CLED(int dmy);            // dmy: Error countermeasures
    void set(byte* ary, bool isInd = true);
    void set(byte val1_6);

  private:
    int inCnt;                // indicator counter
    bool inOn;                // indicator is On
    static const byte color[8];
    static const int INDI_CNT;
};

#endif
