#include "CLED.h"
#include <SPI.h>

Sensor sensor(0);               // Sensor型オブジェクト定義、0はエラー対策です。これを直すと影響が大きいのでこのままで
CLED cled(0);                   // CLED型オブジェクト定義、0はエラー対策です。同上です
// ************************** setup ********************************
void setup() {
  //下（9行）のコメントを外すとシリアルモニタで距離(max4300)が見られます
  //#define Monitor
  #ifdef Monitor
  Serial.begin(57600);          // ** シリアルモニタのボーレート57600 **
  #endif
  sensor.init();
  cled.set(5);                  // init blink
  delay(1000);
}

// *************************** loop ********************************
int adVal[COL_LEN];
void loop() {
  sensor.setAd();              // ** この関数実行後、配列adVal[8]にセンサー値が入ります **
  #ifdef Monitor               // ** ここから下はシリアルモニタ用なのでセンシングとは関係ありません **
  sensor.getColAd(adVal);
  for (int i=0; i<COL_LEN;i++) {
    Serial.print(adVal[i]);    // シリアルモニタで８個のセンサー値を出力します
    Serial.print(", ");
  }
  Serial.println("");
  #endif
}
