#ifndef SENSOR_H
#define SENSOR_H
#include "Arduino.h"
// ******************************************************************
const int COL_LEN = 8;
const int CRI_LEN = 6;
// *************************** Sensor ********************************
class Sensor {
  public:
    Sensor(int dmy=0);            // dmy: Error countermeasures
    void init();
    void setAd(bool bAdd = false);
    int getColVal(int c);
    int getColAd(int c);
    void getColVal(int* ary);
    void getColAd(int* ary);
    void getMaxAd(int iAd[2]);
    void set_adAryInit();
    
  private:
    void pCri();
    unsigned int getAdc(int col);
    void setCol(int col, bool bAdd);
    int ad2val(int ad);

    static int cri[CRI_LEN];      // criteria for value:1~6
    int adAry[COL_LEN];
    byte val[COL_LEN];            // value 
    static long int adAryInit[COL_LEN];
};

#endif
